#pragma once

#include "CoreMinimal.h"
#include "OnGameEventActionInterface.h"
#include "CompetenceAction.h"
#include "Templates/SubclassOf.h"
#include "RevealSurvivorAuraOnChaseStartedAction.generated.h"

class UFloatValueStrategy;
class UStatusEffect;

UCLASS(Blueprintable, EditInlineNew)
class URevealSurvivorAuraOnChaseStartedAction : public UCompetenceAction, public IOnGameEventActionInterface
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _revealToKillerDurationStrategy;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _revealToKillerMinimumRangeStrategy;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _revealToKillerEffectClass;

public:
	URevealSurvivorAuraOnChaseStartedAction();
};

FORCEINLINE uint32 GetTypeHash(const URevealSurvivorAuraOnChaseStartedAction) { return 0; }
